- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CPGrass Class Reference

Class Particle Grass. More...

`#include <Particles.h>`

Inheritance diagram for CPGrass:

[legend]
Collaboration diagram for CPGrass:

[legend]

List of all members.

## Public Member Functions
| CPGrass (int numParticles, float size, float radiusmin, float radiusmax, int ringpart)
| Constructor initializes grass.
void | resetParticle (Attribute *attribute)
| Resets particle to initial position.
void | Update (float timeDelta, bool slow, bool follow)
| Updates particle position. Grass is not moving so this functino is empty.
void | preRender ()
| preRender sets rendering device parameters for particles.
void | postRender ()
| postRender sets original rendering device parameters.

## Detailed Description

Class Particle Grass.

Grass on the field is displayed with particle system using this class.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Constructor & Destructor Documentation

CPGrass::CPGrass | ( | int | numParticles,
|  | float | size,
|  | float | min_radius,
|  | float | max_radius,
|  | int | ringpart |
| ) |  |  |

Constructor initializes grass.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Member Function Documentation

void CPGrass::resetParticle | ( | Attribute * | attribute | ) | `[virtual]`

Resets particle to initial position.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Implements PSystem.

void CPGrass::Update | ( | float | timeDelta,
|  | bool | slow,
|  | bool | follow |
| ) |  |  | `[virtual]`

Updates particle position. Grass is not moving so this functino is empty.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Implements PSystem.

void CPGrass::preRender | ( |  | ) | `[virtual]`

preRender sets rendering device parameters for particles.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Reimplemented from PSystem.

void CPGrass::postRender | ( |  | ) | `[virtual]`

postRender sets original rendering device parameters.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Reimplemented from PSystem.

The documentation for this class was generated from the following files:

- My Documents/TS2/inc/Particles.h
- My Documents/TS2/src/Particles.cpp